package com.ruoyi.bst.complaint.service;

import java.util.List;
import com.ruoyi.bst.complaint.domain.Complaint;
import com.ruoyi.bst.complaint.domain.ComplaintVO;
import com.ruoyi.bst.complaint.domain.ComplaintQuery;

/**
 * 投诉列表Service接口
 *
 * @author ruoyi
 * @date 2025-05-22
 */
public interface ComplaintService
{
    /**
     * 查询投诉列表
     *
     * @param id 投诉列表主键
     * @return 投诉列表
     */
    public ComplaintVO selectComplaintById(Long id);

    /**
     * 查询投诉列表列表
     *
     * @param complaint 投诉列表
     * @return 投诉列表集合
     */
    public List<ComplaintVO> selectComplaintList(ComplaintQuery complaint);

    /**
     * 新增投诉列表
     *
     * @param complaint 投诉列表
     * @return 结果
     */
    public int insertComplaint(Complaint complaint);

    /**
     * 修改投诉列表
     *
     * @param complaint 投诉列表
     * @return 结果
     */
    public int updateComplaint(Complaint complaint);

    /**
     * 批量删除投诉列表
     *
     * @param ids 需要删除的投诉列表主键集合
     * @return 结果
     */
    public int deleteComplaintByIds(Long[] ids);

    /**
     * 删除投诉列表信息
     *
     * @param id 投诉列表主键
     * @return 结果
     */
    public int deleteComplaintById(Long id);
}
